MINICOREDUMPER_TRIGGER(1)

NAME
minicoredumper_trigger - a tool to trigger dumps for all applications using libminicoredumper(7).

SYNOPSIS
minicoredumper_trigger dump-directory dump-scope

DESCRIPTION
minicoredumper_trigger dumps data registered with libminicoredumper(7) to the specified absolute path dump-directory. Only data that was registered with a scope value less than or equal to the dump-scope will be dumped.

NOTES
In order to dump the registered data from applications based on libminicoredumper(7), minicoredumper_trigger must have permissions to read the shared memory managed by minicoredumper_regd(1) and permisssions to read the process memory of the applications. If some of these permissions are missing, minicoredumper_trigger will dump as much as it can.

SEE ALSO
minicoredumper(1), libminicoredumper(7), minicoredumper_regd(1)

The DiaMon Workgroup: <http://www.diamon.org>